Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.exceptions
Class MultipleDraftsExistException

    java.lang.Object
      MarkForDeletionFailedException
          com.ibm.workplace.wcm.api.exceptions.MultipleDraftsExistException

    public class MultipleDraftsExistException

extends MarkForDeletionFailedException

Gets thrown when a draft in a project is marked for deletion while there exists other drafts for the same published version.

Since:
  8.0

Constructor Summary
`MultipleDraftsExistException(Localized localizedMessage, java.lang.String p_uuid)` Constructor that requires a localized message
`MultipleDraftsExistException(java.lang.String p_uuid)` Constructor
`MultipleDraftsExistException(java.lang.String msg, java.lang.String p_uuid)` Constructs a new exception with the given message.
`MultipleDraftsExistException(java.lang.String detail, java.lang.Throwable cause, java.lang.String p_uuid)` Constructor that requires detail plus a cause exception

Method Summary
`java.lang.String` | `getPublishedId()` get the Published Id

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleDraftsExistException

    public MultipleDraftsExistException(java.lang.String p_uuid)

  Constructor

  Parameters:
    `p_uuid` - the published ID for which multiple drafts exist

### MultipleDraftsExistException

    public MultipleDraftsExistException(java.lang.String msg,
                                        java.lang.String p_uuid)

  Constructs a new exception with the given message.

  Parameters:
    `msg` - the message
    `p_uuid` - the published ID for which multiple drafts exist

### MultipleDraftsExistException

    public MultipleDraftsExistException(java.lang.String detail,
                                        java.lang.Throwable cause,
                                        java.lang.String p_uuid)

  Constructor that requires detail plus a cause exception

  Parameters:
    `detail` - a message description extra information about the exception
    `cause` - the exception that caused this exception
    `p_uuid` - the published ID for which multiple drafts exist

### MultipleDraftsExistException

    public MultipleDraftsExistException(Localized localizedMessage,
                                        java.lang.String p_uuid)

  Constructor that requires a localized message

  Parameters:
    `localizedMessage` - a localized message description extra information about the exception
    `p_uuid` - the published ID for which multiple drafts exist

Method Detail

### getPublishedId

    public java.lang.String getPublishedId()

  get the Published Id

  Returns:
    the published ID for which multiple drafts exist

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD